Subject: [alpine-devel] [PATCH 1/2] testing/fltk: update to 1.3.3

From: Isaac Dunham <[email-masked]>
Date: Tue, 18 Nov 2014 21:41:36 -0800

---
 testing/fltk/APKBUILD         | 19 ++++++++++++-------
 testing/fltk/ewmh-crash.patch | 23 +++++++++++++++++++++++
 2 files changed, 35 insertions(+), 7 deletions(-)
 create mode 100644 testing/fltk/ewmh-crash.patch

diff --git a/testing/fltk/APKBUILD b/testing/fltk/APKBUILD
index 0c48f45..3295312 100644
--- a/testing/fltk/APKBUILD
+++ b/testing/fltk/APKBUILD
@@ -1,8 +1,8 @@
 # Contributor: ScrumpyJack <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=fltk
-pkgver=1.3.2
-pkgrel=1
+pkgver=1.3.3
+pkgrel=0
 pkgdesc="A cross-platform C++ GUI toolkit"
 url="http://fltk.org"
 arch="all"
@@ -12,7 +12,8 @@ depends_dev="libx11-dev libxext-dev libxft-dev"
 makedepends="$depends_dev libpng-dev libjpeg-turbo-dev"
 install=""
 subpackages="$pkgname-doc $pkgname-dev $pkgname-fluid"
-source="http://fltk.org/pub/fltk/$pkgver/$pkgname-$pkgver-source.tar.gz"
+source="http://fltk.org/pub/fltk/$pkgver/$pkgname-$pkgver-source.tar.gz
+	ewmh-crash.patch"
 
 _builddir=$srcdir/${pkgname}-${pkgver}
 prepare() {
@@ -35,7 +36,8 @@ build() {
 		--enable-threads \
 		--with-optim="$CXXFLAGS" \
 		|| return 1
-	make V=1
+	make V=1 || return 1
+
 }

@@ -53,6 +55,9 @@ fluid() {
 	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
 }
 
-md5sums="9f7e707d4fb7a5a76f0f9b73ff70623d  fltk-1.3.2-source.tar.gz"
-sha256sums="176044df94f31bd53a5806cf5054ca78b180bf9ae27ce47649608833695ee4a4  fltk-1.3.2-source.tar.gz"
-sha512sums="9372a34d8dfc4b4ece7632683c1c92f9ea9e538ba6eec08bec69615e2b2c885957d229a5ec495830f673b6a059f55a94b61727e8eb1fb7b3bd37005dc0b8312e  fltk-1.3.2-source.tar.gz"
+md5sums="9ccdb0d19dc104b87179bd9fd10822e3  fltk-1.3.3-source.tar.gz
+0b1a9c825de9de368550d10728878019  ewmh-crash.patch"
+sha256sums="f8398d98d7221d40e77bc7b19e761adaf2f1ef8bb0c30eceb7beb4f2273d0d97  fltk-1.3.3-source.tar.gz
+15adf29c8d2885bc356943f05b3f22b2db42a5278a9a27d8b1bd3f342f3f4416  ewmh-crash.patch"
+sha512sums="277ba27e35c20e2d4fc5296bf418c5ab78c821870476e21d49f723765b99b3a559eed4ecd5215ac26d53a1091ada003e17f1553194cebaa97dd854809dd2885d  fltk-1.3.3-source.tar.gz
+7e7c43620c91f83da190227d829ebe652ccf1e02ad40e6b3d2631959716304612f447f2dffba0f19fc2c5191692e23581c438945f61669f4974845a1ac1e9929  ewmh-crash.patch"
diff --git a/testing/fltk/ewmh-crash.patch b/testing/fltk/ewmh-crash.patch
new file mode 100644
index 0000000..6b7d08e
--- /dev/null
+++ b/testing/fltk/ewmh-crash.patch
@@ -0,0 +1,23 @@
+commit 6bea02745202d86a10da82d34f1f6a9233267297
+Author: lauri <[email-masked]>
+Date:   Tue Nov 4 17:26:47 2014 +0000
+
+    The EWMH check requires an open display.
+    
+    Fixes a crash when a program calls take_focus() before any window has been show()n.
+    
+    
+    git-svn-id: http://seriss.com/public/fltk/fltk/branches/branch-1.3@10434 ea41ed52-d2ee-0310-a9c1-e6b18d33e121
+
+diff --git a/src/Fl_x.cxx b/src/Fl_x.cxx
+index 8e7100b..a0767a3 100644
+--- a/src/Fl_x.cxx
++++ b/src/Fl_x.cxx
+@@ -2211,6 +2211,7 @@ int Fl_X::ewmh_supported() {
+   static int result = -1;
+ 
+   if (result == -1) {
++    fl_open_display();
+     result = 0;
+     unsigned long nitems;
+     unsigned long *words = 0;
-- 
2.1.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Isaac Dunham <[email-masked]>
Date: Tue, 18 Nov 2014 21:41:37 -0800

It's not supposed to be public, and isn't visible in FLTK 1.3.3.
---
 testing/dillo/APKBUILD          |  6 +++++-
 testing/dillo/fl_oldfocus.patch | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 1 deletion(-)
 create mode 100644 testing/dillo/fl_oldfocus.patch

diff --git a/testing/dillo/APKBUILD b/testing/dillo/APKBUILD
index 98e4bfb..6939c7d 100644
--- a/testing/dillo/APKBUILD
+++ b/testing/dillo/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=dillo
 pkgver=3.0.4
-pkgrel=0
+pkgrel=1
 pkgdesc="Very small and fast GUI web browser"
 url="http://www.dillo.org"
 arch="all"
@@ -13,6 +13,7 @@ makedepends="fltk-dev zlib-dev libx11-dev libpng-dev libjpeg-turbo-dev
 install=""
 subpackages="$pkgname-doc"
 source="http://www.dillo.org/download/${pkgname}-${pkgver}.tar.bz2
+	fl_oldfocus.patch
 	dillo.desktop
 	dillo.png
 	"
@@ -52,11 +53,14 @@ package() {
 }
 
 md5sums="c85aab6b840527e1dd71b220a1dcfbab  dillo-3.0.4.tar.bz2
+a33a0de688bd8a90f03600246bdf4e97  fl_oldfocus.patch
 ffb9cdcb3506b5aeba9e0d1bcaa4006d  dillo.desktop
 2ca5fb738b70051cac592acef3cb56e1  dillo.png"
 sha256sums="ee2bab25010dd27b18ba80259df6eb8f6b549f5af596539c08eed0b70322df39  dillo-3.0.4.tar.bz2
+7ccb60b485373fb47b5f48e4319de50016b51b03b0f43704ffbb6779da0d1774  fl_oldfocus.patch
 54848080de1911a2af8ff786fbe92bdad8fe8b7b8a0d580c9c79b0a98f9fdcde  dillo.desktop
 de629745e6f3a271475a501e2b94558b3deb7bf9a407bcef16426e600e1731f3  dillo.png"
 sha512sums="57513342026288255f3a2a783f206a24b9b29a03f4721d34f6e43111d61b248c56e1212abdb51adcc826c4ca081f9fa5157247c00eda95d9b5287556fe9da175  dillo-3.0.4.tar.bz2
+7bb6ceac74b0207e8895a3fcf69b348f29c425abe7577a6f481f5a18a512923bcb164b2bf68b7fdab6722e364643874318d8636ac101fcc2b50a4bc511ca52f7  fl_oldfocus.patch
 393a749d33f78e4c8a99c0c94a9708b26d235356f0c8dfa942af4e8da7eb9aa2453911894461714986449dfd15a4b492ef9071fac6b230f52a8f2e562f1bf016  dillo.desktop
 cfc9bcf1bfd0fff7fc625c7d288c92d0f33418b963a4e344844fd2bcb33823b3215a8a1a86162dcd1c614eea2323bb361c11bd8bd15859b771c63943c1b40833  dillo.png"
diff --git a/testing/dillo/fl_oldfocus.patch b/testing/dillo/fl_oldfocus.patch
new file mode 100644
index 0000000..58859cb
--- /dev/null
+++ b/testing/dillo/fl_oldfocus.patch
@@ -0,0 +1,32 @@
+commit 6cace8b8ecedd11a54b02e1dd08f9a2880bdb1b1
+Author: Isaac Dunham <[email-masked]>
+Date:   Tue Nov 18 21:06:54 2014 -0800
+
+    Don't use FLTK internal symbols; fix build with FLTK 1.3.3
+    Patch based on http://hg.dillo.org/dillo/raw-rev/eb902ac9fc66
+
+diff --git a/dw/fltkviewbase.cc b/dw/fltkviewbase.cc
+index 30a19d5..9ec5a71 100644
+--- a/dw/fltkviewbase.cc
++++ b/dw/fltkviewbase.cc
+@@ -27,8 +27,6 @@
+ #include <stdio.h>
+ #include "../lout/msg.h"
+ 
+-extern Fl_Widget* fl_oldfocus;
+-
+ using namespace lout::object;
+ using namespace lout::container::typed;
+ 
+@@ -364,7 +362,10 @@ int FltkViewBase::handle (int event)
+       }
+       return 1;
+    case FL_UNFOCUS:
+-      focused_child = fl_oldfocus;
++      // was: focused_child = fl_oldfocus;
++      for (Fl_Widget *p = this; p; p = p->parent())
++        focused_child = p;
++
+       return 0;
+    case FL_KEYBOARD:
+       if (Fl::event_key() == FL_Tab)
-- 
2.1.3

---